-- 基础信息
base_info = {
	group_id = 133310071
}

-- Trigger变量
defs = {
	hintTime = 30,
	coinTime = 20,
	maxRegion = 71003,
	challengeId = 2010071,
	galleryId = 33005,
	skillDuration = 10
}

-- DEFS_MISCS
defs_miscs = {
        specialCoinTable = {
        -- 每项格式如下
        [71018] = {71019,71040,71041,71042,71043,71044,71045,71046,71047,71048,71049,71050,71059,71052,71053,71054,71055,71056,71057,71058},
    },
}

--================================================================
--
-- 配置
--
--================================================================

-- 怪物
monsters = {
}

-- NPC
npcs = {
}

-- 装置
gadgets = {
	[71004] = { config_id = 71004, gadget_id = 70220131, pos = { x = -2826.299, y = 81.400, z = 4480.185 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 28 },
	[71005] = { config_id = 71005, gadget_id = 70220131, pos = { x = -2830.148, y = 79.359, z = 4476.012 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 28 },
	[71006] = { config_id = 71006, gadget_id = 70220131, pos = { x = -2832.590, y = 77.717, z = 4473.690 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 28 },
	[71007] = { config_id = 71007, gadget_id = 70220131, pos = { x = -2835.209, y = 75.805, z = 4470.971 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 28 },
	[71008] = { config_id = 71008, gadget_id = 70220131, pos = { x = -2838.907, y = 73.417, z = 4467.421 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 28 },
	[71009] = { config_id = 71009, gadget_id = 70220131, pos = { x = -2843.359, y = 70.966, z = 4463.159 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 28 },
	[71010] = { config_id = 71010, gadget_id = 70220131, pos = { x = -2847.103, y = 69.240, z = 4460.037 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 28 },
	[71011] = { config_id = 71011, gadget_id = 70220131, pos = { x = -2850.755, y = 69.215, z = 4458.041 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 28 },
	[71012] = { config_id = 71012, gadget_id = 70220131, pos = { x = -2854.676, y = 69.193, z = 4457.761 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 28 },
	[71013] = { config_id = 71013, gadget_id = 70220131, pos = { x = -2855.918, y = 67.364, z = 4462.217 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 28 },
	[71014] = { config_id = 71014, gadget_id = 70220131, pos = { x = -2856.721, y = 65.182, z = 4466.923 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 28 },
	[71015] = { config_id = 71015, gadget_id = 70220131, pos = { x = -2858.023, y = 62.670, z = 4472.860 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 28 },
	[71016] = { config_id = 71016, gadget_id = 70220131, pos = { x = -2858.943, y = 60.854, z = 4478.271 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 28 },
	[71017] = { config_id = 71017, gadget_id = 70220131, pos = { x = -2859.391, y = 59.463, z = 4485.078 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 28 },
	[71018] = { config_id = 71018, gadget_id = 70220132, pos = { x = -2853.877, y = 59.383, z = 4485.548 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 28 },
	[71019] = { config_id = 71019, gadget_id = 70220131, pos = { x = -2853.558, y = 58.689, z = 4494.675 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 28 },
	[71020] = { config_id = 71020, gadget_id = 70220131, pos = { x = -2831.806, y = 81.618, z = 4481.742 }, rot = { x = 0.000, y = 273.321, z = 0.000 }, level = 1, area_id = 28 },
	[71021] = { config_id = 71021, gadget_id = 70220131, pos = { x = -2835.021, y = 77.793, z = 4481.928 }, rot = { x = 0.000, y = 273.329, z = 0.000 }, level = 1, area_id = 28 },
	[71022] = { config_id = 71022, gadget_id = 70220131, pos = { x = -2838.236, y = 73.968, z = 4482.115 }, rot = { x = 0.000, y = 273.321, z = 0.000 }, level = 1, area_id = 28 },
	[71023] = { config_id = 71023, gadget_id = 70220131, pos = { x = -2841.451, y = 70.143, z = 4482.302 }, rot = { x = 0.000, y = 273.321, z = 0.000 }, level = 1, area_id = 28 },
	[71024] = { config_id = 71024, gadget_id = 70220131, pos = { x = -2844.666, y = 66.319, z = 4482.488 }, rot = { x = 0.000, y = 273.321, z = 0.000 }, level = 1, area_id = 28 },
	[71025] = { config_id = 71025, gadget_id = 70220131, pos = { x = -2847.880, y = 62.494, z = 4482.675 }, rot = { x = 0.000, y = 273.321, z = 0.000 }, level = 1, area_id = 28 },
	[71026] = { config_id = 71026, gadget_id = 70220103, pos = { x = -2840.959, y = 82.284, z = 4475.480 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 28 },
	[71027] = { config_id = 71027, gadget_id = 70220136, pos = { x = -2840.959, y = 77.284, z = 4475.480 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 28 },
	[71028] = { config_id = 71028, gadget_id = 70220136, pos = { x = -2840.959, y = 75.284, z = 4475.480 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 28 },
	[71029] = { config_id = 71029, gadget_id = 70220136, pos = { x = -2840.959, y = 73.284, z = 4475.480 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 28 },
	[71030] = { config_id = 71030, gadget_id = 70220136, pos = { x = -2840.959, y = 71.284, z = 4475.480 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 28 },
	[71031] = { config_id = 71031, gadget_id = 70220136, pos = { x = -2840.959, y = 69.284, z = 4475.480 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 28 },
	[71032] = { config_id = 71032, gadget_id = 70220136, pos = { x = -2840.959, y = 67.284, z = 4475.480 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 28 },
	[71033] = { config_id = 71033, gadget_id = 70220103, pos = { x = -2840.959, y = 60.760, z = 4475.480 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 28 },
	[71034] = { config_id = 71034, gadget_id = 70220136, pos = { x = -2840.959, y = 55.760, z = 4475.480 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 28 },
	[71035] = { config_id = 71035, gadget_id = 70220136, pos = { x = -2840.959, y = 53.760, z = 4475.480 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 28 },
	[71036] = { config_id = 71036, gadget_id = 70220136, pos = { x = -2840.959, y = 51.760, z = 4475.480 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 28 },
	[71037] = { config_id = 71037, gadget_id = 70220136, pos = { x = -2840.959, y = 49.760, z = 4475.480 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 28 },
	[71038] = { config_id = 71038, gadget_id = 70220136, pos = { x = -2840.959, y = 47.760, z = 4475.480 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 28 },
	[71039] = { config_id = 71039, gadget_id = 70220136, pos = { x = -2840.959, y = 45.760, z = 4475.480 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 28 },
	[71040] = { config_id = 71040, gadget_id = 70220131, pos = { x = -2855.341, y = 59.410, z = 4489.981 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 28 },
	[71041] = { config_id = 71041, gadget_id = 70220131, pos = { x = -2849.612, y = 56.974, z = 4496.982 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 28 },
	[71042] = { config_id = 71042, gadget_id = 70220131, pos = { x = -2844.654, y = 54.985, z = 4499.737 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 28 },
	[71043] = { config_id = 71043, gadget_id = 70220131, pos = { x = -2840.480, y = 53.555, z = 4502.061 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 28 },
	[71044] = { config_id = 71044, gadget_id = 70220131, pos = { x = -2835.595, y = 52.150, z = 4504.834 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 28 },
	[71045] = { config_id = 71045, gadget_id = 70220131, pos = { x = -2829.934, y = 50.644, z = 4508.072 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 28 },
	[71046] = { config_id = 71046, gadget_id = 70220131, pos = { x = -2823.482, y = 50.525, z = 4506.409 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 28 },
	[71047] = { config_id = 71047, gadget_id = 70220131, pos = { x = -2821.927, y = 50.452, z = 4500.929 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 28 },
	[71048] = { config_id = 71048, gadget_id = 70220131, pos = { x = -2820.729, y = 50.432, z = 4494.840 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 28 },
	[71049] = { config_id = 71049, gadget_id = 70220131, pos = { x = -2854.720, y = 60.479, z = 4480.693 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 28 },
	[71050] = { config_id = 71050, gadget_id = 70220131, pos = { x = -2851.577, y = 59.174, z = 4476.133 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 28 },
	[71052] = { config_id = 71052, gadget_id = 70220131, pos = { x = -2848.167, y = 58.667, z = 4477.342 }, rot = { x = 0.000, y = 70.233, z = 0.000 }, level = 1, area_id = 28 },
	[71053] = { config_id = 71053, gadget_id = 70220131, pos = { x = -2844.566, y = 57.500, z = 4478.636 }, rot = { x = 0.000, y = 70.225, z = 0.000 }, level = 1, area_id = 28 },
	[71054] = { config_id = 71054, gadget_id = 70220131, pos = { x = -2840.966, y = 56.333, z = 4479.931 }, rot = { x = 0.000, y = 70.233, z = 0.000 }, level = 1, area_id = 28 },
	[71055] = { config_id = 71055, gadget_id = 70220131, pos = { x = -2837.365, y = 55.166, z = 4481.225 }, rot = { x = 0.000, y = 70.233, z = 0.000 }, level = 1, area_id = 28 },
	[71056] = { config_id = 71056, gadget_id = 70220131, pos = { x = -2833.765, y = 53.999, z = 4482.519 }, rot = { x = 0.000, y = 70.233, z = 0.000 }, level = 1, area_id = 28 },
	[71057] = { config_id = 71057, gadget_id = 70220131, pos = { x = -2830.164, y = 52.833, z = 4483.813 }, rot = { x = 0.000, y = 70.225, z = 0.000 }, level = 1, area_id = 28 },
	[71058] = { config_id = 71058, gadget_id = 70220131, pos = { x = -2826.564, y = 51.666, z = 4485.107 }, rot = { x = 0.000, y = 70.233, z = 0.000 }, level = 1, area_id = 28 },
	[71059] = { config_id = 71059, gadget_id = 70220131, pos = { x = -2822.963, y = 50.499, z = 4486.401 }, rot = { x = 0.000, y = 70.233, z = 0.000 }, level = 1, area_id = 28 }
}

-- 区域
regions = {
	[71003] = { config_id = 71003, shape = RegionShape.SPHERE, radius = 100, pos = { x = -2837.103, y = 73.189, z = 4468.796 }, area_id = 28 }
}

-- 触发器
triggers = {
	{ config_id = 1071003, name = "ENTER_REGION_71003", event = EventType.EVENT_ENTER_REGION, source = "", condition = "", action = "", trigger_count = 0, forbid_guest = false }
}

-- 点位
points = {
	[71001] = { config_id = 71001, pos = { x = -2834.865, y = 109.673, z = 4449.012 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, area_id = 28 },
	[71002] = { config_id = 71002, pos = { x = -2831.750, y = 109.785, z = 4449.344 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, area_id = 28 }
}

-- 变量
variables = {
}

--================================================================
--
-- 初始化配置
--
--================================================================

-- 初始化时创建
init_config = {
	suite = 1,
	end_suite = 0,
	rand_suite = false
}

--================================================================
--
-- 小组配置
--
--================================================================

suites = {
	{
		-- suite_id = 1,
		-- description = ,
		monsters = { },
		gadgets = { 71004, 71005, 71006, 71007, 71008, 71009, 71010, 71011, 71012, 71013, 71014, 71015, 71016, 71017, 71018, 71019, 71020, 71021, 71022, 71023, 71024, 71025, 71026, 71027, 71028, 71029, 71030, 71031, 71032, 71033, 71034, 71035, 71036, 71037, 71038, 71039, 71040, 71041, 71042, 71043, 71044, 71045, 71046, 71047, 71048, 71049, 71050, 71052, 71053, 71054, 71055, 71056, 71057, 71058, 71059 },
		regions = { 71003 },
		triggers = { "ENTER_REGION_71003" },
		rand_weight = 100
	}
}

--================================================================
--
-- 触发器
--
--================================================================

require "V3_3/CoinCollect"
